input::-webkit-input-placeholder,
input::-moz-placeholder,
input:-moz-placeholder,
input:-ms-input-placeholder {
  color: var(--placeholder-color);
  font-weight: var(--placeholder-font-weight);
  text-overflow: ellipsis;
  opacity: 1;
  transition: opacity 0.3s ease;
  &:focus {
    opacity: 0;
  }
  &:disabled {
    color: var(--placeholder-disabled-color);
  }
}

input[placeholder] {
  line-height: inherit;
  text-overflow: ellipsis;
}
